/*
 * @Author: mojunshou 1637302775@qq.com
 * @Date: 2025-03-21 11:45:43
 * @LastEditors: mojunshou 1637302775@qq.com
 * @LastEditTime: 2025-03-28 14:08:25
 * @Description: 提现必返
 */
import { Label } from 'cc';
import { _decorator } from 'cc';
import { oops } from 'db://oops-framework/core/Oops';
import { GameComponent } from "db://oops-framework/module/common/GameComponent";
import { UIID } from '../../common/config/GameUIConfig';

const { ccclass, property } = _decorator;

/** 显示对象控制 */
@ccclass('CashRebateView')
export class CashRebateView extends GameComponent {
    private _num: number = 0;
    private lab_num: Label = null!;
    protected start() {
        this.lab_num = this.node.getChildByPath("Sprite/lab_num")!.uiLabel;
    }

    private btn_ok() {



    }

    private btn_close() {
        //看广告

        oops.gui.remove(UIID.CashRebate);

    }

}